x509-store-1.6.2: X.509 collection accessing and storing methods

Safe Haskell | None
Language | Haskell98

Data.X509.File

Synopsis

- readSignedObject :: (ASN1Object a, Eq a, Show a) => FilePath -> IO [SignedExact a]
- readKeyFile :: FilePath -> IO [PrivKey]

# Documentation

readSignedObject :: (ASN1Object a, Eq a, Show a) => FilePath -> IO [SignedExact a] #

return all the signed objects in a file.

(only one type at a time).

readKeyFile :: FilePath -> IO [PrivKey] #

return all the public key that were successfully read from a file.